<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Necromancer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html">Necromancer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_necromancer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Necromancer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html" title="Class for the Necromancer, a class of character (Wizard specialisation) The necromancer is a wizard w...">Necromancer</a>, a class of character (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html" title="Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the abili...">Wizard</a> specialisation) The necromancer is a wizard who deals with the deads. They can use their power and reanime the deads.  
 <a href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_necromancer_8hpp_source.html">Necromancer.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for He_Arc::RPG::Necromancer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_he___arc_1_1_r_p_g_1_1_necromancer.png" usemap="#He_5FArc::RPG::Necromancer_map" alt=""/>
  <map id="He_5FArc::RPG::Necromancer_map" name="He_5FArc::RPG::Necromancer_map">
<area href="class_he___arc_1_1_r_p_g_1_1_wizard.html" title="Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the abili..." alt="He_Arc::RPG::Wizard" shape="rect" coords="0,56,181,80"/>
<area href="class_he___arc_1_1_r_p_g_1_1_character_class.html" title="Class for the CharacterClass. A character class is the &quot;type&quot; (the class) of a character,..." alt="He_Arc::RPG::CharacterClass" shape="rect" coords="0,0,181,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6a000b974610d658a73a4ba5da04aa52"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#a6a000b974610d658a73a4ba5da04aa52">Necromancer</a> (int level=1, int strength=3, int agility=10, int intelligence=16, int perception=12, double hp=8, string name=&quot;no_name&quot;, int mana=12, shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt; object=make_shared&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a> &gt;(<a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a>{&quot;Normal <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a>&quot;, 7}))</td></tr>
<tr class="memdesc:a6a000b974610d658a73a4ba5da04aa52"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html" title="Class for the Necromancer, a class of character (Wizard specialisation) The necromancer is a wizard w...">Necromancer</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#a6a000b974610d658a73a4ba5da04aa52">More...</a><br /></td></tr>
<tr class="separator:a6a000b974610d658a73a4ba5da04aa52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3fb420844cfe5cd56d40c0c6ea1d54e"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#ae3fb420844cfe5cd56d40c0c6ea1d54e">GetClassTypeName</a> () const override</td></tr>
<tr class="memdesc:ae3fb420844cfe5cd56d40c0c6ea1d54e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the class.  <a href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#ae3fb420844cfe5cd56d40c0c6ea1d54e">More...</a><br /></td></tr>
<tr class="separator:ae3fb420844cfe5cd56d40c0c6ea1d54e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c6ba8ffb5e8dfed06bbc0c9d0d57cef"><td class="memItemLeft" align="right" valign="top"><a id="a5c6ba8ffb5e8dfed06bbc0c9d0d57cef"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#a5c6ba8ffb5e8dfed06bbc0c9d0d57cef">RiseUndeads</a> ()</td></tr>
<tr class="memdesc:a5c6ba8ffb5e8dfed06bbc0c9d0d57cef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use the spell of the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html" title="Class for the Necromancer, a class of character (Wizard specialisation) The necromancer is a wizard w...">Necromancer</a> : Some undeads entity is invoked. <br /></td></tr>
<tr class="separator:a5c6ba8ffb5e8dfed06bbc0c9d0d57cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html">He_Arc::RPG::Wizard</a></td></tr>
<tr class="memitem:ab66f2d3e05ce726772e93f8dd0dca44a inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ab66f2d3e05ce726772e93f8dd0dca44a">Wizard</a> (int level=1, int strength=5, int agility=10, int intelligence=15, int perception=10, double hp=10, string name=&quot;no_name&quot;, int mana=10, shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt; object=make_shared&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a> &gt;(<a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a>{&quot;Normal <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a>&quot;, 4}))</td></tr>
<tr class="memdesc:ab66f2d3e05ce726772e93f8dd0dca44a inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html" title="Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the abili...">Wizard</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ab66f2d3e05ce726772e93f8dd0dca44a">More...</a><br /></td></tr>
<tr class="separator:ab66f2d3e05ce726772e93f8dd0dca44a inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac534d1cb82583d5a74c6d06fd23f5f59 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html">Wizard</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ac534d1cb82583d5a74c6d06fd23f5f59">Clone</a> () const override</td></tr>
<tr class="memdesc:ac534d1cb82583d5a74c6d06fd23f5f59 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a clone of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ac534d1cb82583d5a74c6d06fd23f5f59">More...</a><br /></td></tr>
<tr class="separator:ac534d1cb82583d5a74c6d06fd23f5f59 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa17d12836d4699c7aad48110b999d057 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top"><a id="aa17d12836d4699c7aad48110b999d057"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#aa17d12836d4699c7aad48110b999d057">Show</a> () const override</td></tr>
<tr class="memdesc:aa17d12836d4699c7aad48110b999d057 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show the statistics of the character. <br /></td></tr>
<tr class="separator:aa17d12836d4699c7aad48110b999d057 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bcb1d7c894e467cf8696ad0e947e0ac inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a6bcb1d7c894e467cf8696ad0e947e0ac">Interact</a> (const <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;character) const override</td></tr>
<tr class="memdesc:a6bcb1d7c894e467cf8696ad0e947e0ac inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">Make an interaction between 2 characters.  <a href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a6bcb1d7c894e467cf8696ad0e947e0ac">More...</a><br /></td></tr>
<tr class="separator:a6bcb1d7c894e467cf8696ad0e947e0ac inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f4e7c257f5445fca073a3aeb512512f inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a1f4e7c257f5445fca073a3aeb512512f">GetMana</a> () const</td></tr>
<tr class="memdesc:a1f4e7c257f5445fca073a3aeb512512f inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the mana of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a1f4e7c257f5445fca073a3aeb512512f">More...</a><br /></td></tr>
<tr class="separator:a1f4e7c257f5445fca073a3aeb512512f inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aabe9d8f966c6024c226b8ee46aeb2e inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a9aabe9d8f966c6024c226b8ee46aeb2e">UseSkill</a> (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> *target=nullptr) override</td></tr>
<tr class="memdesc:a9aabe9d8f966c6024c226b8ee46aeb2e inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">Do a skill/spell to the entity.  <a href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a9aabe9d8f966c6024c226b8ee46aeb2e">More...</a><br /></td></tr>
<tr class="separator:a9aabe9d8f966c6024c226b8ee46aeb2e inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac59dfbe679e86050c11f35dcbb537624 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top"><a id="ac59dfbe679e86050c11f35dcbb537624"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ac59dfbe679e86050c11f35dcbb537624">RegenMana</a> ()</td></tr>
<tr class="memdesc:ac59dfbe679e86050c11f35dcbb537624 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an amount of mana, according to the intelligence stat and if the roll. <br /></td></tr>
<tr class="separator:ac59dfbe679e86050c11f35dcbb537624 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td></tr>
<tr class="memitem:afff2c38ade3572c32aba94d435d0a99a inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="afff2c38ade3572c32aba94d435d0a99a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>CharacterClass</b> (const <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;character)</td></tr>
<tr class="separator:afff2c38ade3572c32aba94d435d0a99a inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe993f8df4d10236808bf056074d5cc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aafe993f8df4d10236808bf056074d5cc">CharacterClass</a> (int level, int strength, int agility, int intelligence, int perception, int hp, string name, shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt; object=nullptr)</td></tr>
<tr class="memdesc:aafe993f8df4d10236808bf056074d5cc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new Character Class object.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aafe993f8df4d10236808bf056074d5cc">More...</a><br /></td></tr>
<tr class="separator:aafe993f8df4d10236808bf056074d5cc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ccc7ab4a3039340630901c2671428a8 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5ccc7ab4a3039340630901c2671428a8">GetAgility</a> () const</td></tr>
<tr class="memdesc:a5ccc7ab4a3039340630901c2671428a8 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Agility of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5ccc7ab4a3039340630901c2671428a8">More...</a><br /></td></tr>
<tr class="separator:a5ccc7ab4a3039340630901c2671428a8 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7077e043f3aaba9fe29f989778238ddc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a7077e043f3aaba9fe29f989778238ddc">GetStrength</a> () const</td></tr>
<tr class="memdesc:a7077e043f3aaba9fe29f989778238ddc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Agility of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a7077e043f3aaba9fe29f989778238ddc">More...</a><br /></td></tr>
<tr class="separator:a7077e043f3aaba9fe29f989778238ddc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a139c78daaeff2aec35d4b44e1a06318d inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a139c78daaeff2aec35d4b44e1a06318d">GetIntelligence</a> () const</td></tr>
<tr class="memdesc:a139c78daaeff2aec35d4b44e1a06318d inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Agility of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a139c78daaeff2aec35d4b44e1a06318d">More...</a><br /></td></tr>
<tr class="separator:a139c78daaeff2aec35d4b44e1a06318d inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af32d2f582c0a79d14e704162611390ee inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#af32d2f582c0a79d14e704162611390ee">GetHp</a> () const</td></tr>
<tr class="memdesc:af32d2f582c0a79d14e704162611390ee inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the HP of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#af32d2f582c0a79d14e704162611390ee">More...</a><br /></td></tr>
<tr class="separator:af32d2f582c0a79d14e704162611390ee inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa130bf887bb9724acb0b743cb001ab82 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aa130bf887bb9724acb0b743cb001ab82">GetPerception</a> () const</td></tr>
<tr class="memdesc:aa130bf887bb9724acb0b743cb001ab82 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aa130bf887bb9724acb0b743cb001ab82">More...</a><br /></td></tr>
<tr class="separator:aa130bf887bb9724acb0b743cb001ab82 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79810fa3d8d053c3c20252e248e344bd inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79810fa3d8d053c3c20252e248e344bd">GetName</a> () const</td></tr>
<tr class="memdesc:a79810fa3d8d053c3c20252e248e344bd inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Perception of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79810fa3d8d053c3c20252e248e344bd">More...</a><br /></td></tr>
<tr class="separator:a79810fa3d8d053c3c20252e248e344bd inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adffa504eb4343ba2060fb41439eb5228 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="adffa504eb4343ba2060fb41439eb5228"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#adffa504eb4343ba2060fb41439eb5228">SetName</a> (string name)</td></tr>
<tr class="memdesc:adffa504eb4343ba2060fb41439eb5228 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the character. <br /></td></tr>
<tr class="separator:adffa504eb4343ba2060fb41439eb5228 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e5ce353cf6cdb160c7ee7f80b756c07 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a9e5ce353cf6cdb160c7ee7f80b756c07">GetLevel</a> () const</td></tr>
<tr class="memdesc:a9e5ce353cf6cdb160c7ee7f80b756c07 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Level of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a9e5ce353cf6cdb160c7ee7f80b756c07">More...</a><br /></td></tr>
<tr class="separator:a9e5ce353cf6cdb160c7ee7f80b756c07 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad2d66fcb380f6d48286db4840684e9b inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="aad2d66fcb380f6d48286db4840684e9b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aad2d66fcb380f6d48286db4840684e9b">IncreaseLevel</a> ()</td></tr>
<tr class="memdesc:aad2d66fcb380f6d48286db4840684e9b inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase the level of the character by one. <br /></td></tr>
<tr class="separator:aad2d66fcb380f6d48286db4840684e9b inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ecb6c230a3199d9ab73cca57e85907a inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0ecb6c230a3199d9ab73cca57e85907a">GetObject</a> () const</td></tr>
<tr class="memdesc:a0ecb6c230a3199d9ab73cca57e85907a inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the object held by the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0ecb6c230a3199d9ab73cca57e85907a">More...</a><br /></td></tr>
<tr class="separator:a0ecb6c230a3199d9ab73cca57e85907a inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ca19e00600c97d925e490e1eca3971e inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html">Backpack</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a8ca19e00600c97d925e490e1eca3971e">GetBackpack</a> () const</td></tr>
<tr class="memdesc:a8ca19e00600c97d925e490e1eca3971e inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the backpack held by the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a8ca19e00600c97d925e490e1eca3971e">More...</a><br /></td></tr>
<tr class="separator:a8ca19e00600c97d925e490e1eca3971e inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a215cd4e01d7f18a374a3ae3b4f594a03 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a215cd4e01d7f18a374a3ae3b4f594a03">SetBackpack</a> (shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html">Backpack</a> &gt; backpack)</td></tr>
<tr class="memdesc:a215cd4e01d7f18a374a3ae3b4f594a03 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the backpack held by the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a215cd4e01d7f18a374a3ae3b4f594a03">More...</a><br /></td></tr>
<tr class="separator:a215cd4e01d7f18a374a3ae3b4f594a03 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0900bfb38ea138025e9ee08722894afc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html">ISpell</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0900bfb38ea138025e9ee08722894afc">GetSpells</a> ()</td></tr>
<tr class="memdesc:a0900bfb38ea138025e9ee08722894afc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the each spell of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0900bfb38ea138025e9ee08722894afc">More...</a><br /></td></tr>
<tr class="separator:a0900bfb38ea138025e9ee08722894afc inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64f92249bbc471189621ca4b3a84ccd3 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a64f92249bbc471189621ca4b3a84ccd3">UseObject</a> (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> *character=nullptr)</td></tr>
<tr class="memdesc:a64f92249bbc471189621ca4b3a84ccd3 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use the object held by the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a64f92249bbc471189621ca4b3a84ccd3">More...</a><br /></td></tr>
<tr class="separator:a64f92249bbc471189621ca4b3a84ccd3 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf47fd89e0ec51f4be66c6108ec97ea7 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#acf47fd89e0ec51f4be66c6108ec97ea7">SufferDamage</a> (int damage)</td></tr>
<tr class="memdesc:acf47fd89e0ec51f4be66c6108ec97ea7 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deals damage to the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#acf47fd89e0ec51f4be66c6108ec97ea7">More...</a><br /></td></tr>
<tr class="separator:acf47fd89e0ec51f4be66c6108ec97ea7 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6881bd26fe586cd8bddb408cad2d05d0 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a6881bd26fe586cd8bddb408cad2d05d0">Heal</a> (int amount)</td></tr>
<tr class="memdesc:a6881bd26fe586cd8bddb408cad2d05d0 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Heal the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a6881bd26fe586cd8bddb408cad2d05d0">More...</a><br /></td></tr>
<tr class="separator:a6881bd26fe586cd8bddb408cad2d05d0 inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3921c2f64d9b55759e578b50db111b inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0c3921c2f64d9b55759e578b50db111b">operator=</a> (const <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;character)</td></tr>
<tr class="memdesc:a0c3921c2f64d9b55759e578b50db111b inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The assignation (in depth) of a character (copy)  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0c3921c2f64d9b55759e578b50db111b">More...</a><br /></td></tr>
<tr class="separator:a0c3921c2f64d9b55759e578b50db111b inherit pub_methods_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:af21473e141a0114dc3e86148b0284a0b"><td class="memItemLeft" align="right" valign="top"><a id="af21473e141a0114dc3e86148b0284a0b"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#af21473e141a0114dc3e86148b0284a0b">COST_MANA_RISE_UNDEADS</a> {2}</td></tr>
<tr class="memdesc:af21473e141a0114dc3e86148b0284a0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The cost of mana of the "rise undeads spell" (rise undeads method) <br /></td></tr>
<tr class="separator:af21473e141a0114dc3e86148b0284a0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html">He_Arc::RPG::Wizard</a></td></tr>
<tr class="memitem:ab046f9df1d49c193033b519e3f63927f inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top"><a id="ab046f9df1d49c193033b519e3f63927f"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ab046f9df1d49c193033b519e3f63927f">DAMAGE_SKILL_FIREBALL</a> {5}</td></tr>
<tr class="memdesc:ab046f9df1d49c193033b519e3f63927f inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">The damage deals by the fireball skill. <br /></td></tr>
<tr class="separator:ab046f9df1d49c193033b519e3f63927f inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a368bfc4fb66c29a4548b19e4a02a54f0 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top"><a id="a368bfc4fb66c29a4548b19e4a02a54f0"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a368bfc4fb66c29a4548b19e4a02a54f0">RANGE_SKILL_FIREBALL</a> {2}</td></tr>
<tr class="memdesc:a368bfc4fb66c29a4548b19e4a02a54f0 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range for the skill "FireBall". <br /></td></tr>
<tr class="separator:a368bfc4fb66c29a4548b19e4a02a54f0 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5e94d149d128977e4dbd3dca644eaff inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top"><a id="af5e94d149d128977e4dbd3dca644eaff"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#af5e94d149d128977e4dbd3dca644eaff">COST_MANA_CAST_SPELL</a> {2}</td></tr>
<tr class="memdesc:af5e94d149d128977e4dbd3dca644eaff inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">The cost of mana of the "cast spell" method. <br /></td></tr>
<tr class="separator:af5e94d149d128977e4dbd3dca644eaff inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af61dc4150a7316b6abf1d2c9f5cdbf3a inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top"><a id="af61dc4150a7316b6abf1d2c9f5cdbf3a"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#af61dc4150a7316b6abf1d2c9f5cdbf3a">REGEN_MANA_AMOUT</a> {1}</td></tr>
<tr class="memdesc:af61dc4150a7316b6abf1d2c9f5cdbf3a inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">The amount of regened mana when the roll stats is a success. <br /></td></tr>
<tr class="separator:af61dc4150a7316b6abf1d2c9f5cdbf3a inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c5a8dc13405fea41ddfc8bb0027abad inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memItemLeft" align="right" valign="top"><a id="a9c5a8dc13405fea41ddfc8bb0027abad"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a9c5a8dc13405fea41ddfc8bb0027abad">m_mana</a> {0}</td></tr>
<tr class="memdesc:a9c5a8dc13405fea41ddfc8bb0027abad inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mana of the character, which allows him to use spells by consuming it. <br /></td></tr>
<tr class="separator:a9c5a8dc13405fea41ddfc8bb0027abad inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_wizard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td></tr>
<tr class="memitem:a140f440d1d3332267268791ad9a2cc3e inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="a140f440d1d3332267268791ad9a2cc3e"></a>
<a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice</a>&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a140f440d1d3332267268791ad9a2cc3e">m_statDice</a> = <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice</a>&lt;int&gt;(20)</td></tr>
<tr class="memdesc:a140f440d1d3332267268791ad9a2cc3e inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The dice used for rolls when a stats is used (like strengh, agility, ...) <br /></td></tr>
<tr class="separator:a140f440d1d3332267268791ad9a2cc3e inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569272e38e69aaf6f1285a9e3811f95c inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="a569272e38e69aaf6f1285a9e3811f95c"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a569272e38e69aaf6f1285a9e3811f95c">m_level</a> {1}</td></tr>
<tr class="memdesc:a569272e38e69aaf6f1285a9e3811f95c inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The level of the character. <br /></td></tr>
<tr class="separator:a569272e38e69aaf6f1285a9e3811f95c inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abda9c8d99244d23c15c56ac8d9ff0617 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="abda9c8d99244d23c15c56ac8d9ff0617"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#abda9c8d99244d23c15c56ac8d9ff0617">m_strength</a> {0}</td></tr>
<tr class="memdesc:abda9c8d99244d23c15c56ac8d9ff0617 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The strength of the character. This characteristic is the physical power. <br /></td></tr>
<tr class="separator:abda9c8d99244d23c15c56ac8d9ff0617 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceed2329152d2a179c8c888daf5a09bd inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="aceed2329152d2a179c8c888daf5a09bd"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aceed2329152d2a179c8c888daf5a09bd">m_agility</a> {0}</td></tr>
<tr class="memdesc:aceed2329152d2a179c8c888daf5a09bd inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The agility of the character. This characteristic is the dexterity, reflexes. <br /></td></tr>
<tr class="separator:aceed2329152d2a179c8c888daf5a09bd inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7f3dbdf4a92a55e2ecf810f984c33c1 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="ab7f3dbdf4a92a55e2ecf810f984c33c1"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ab7f3dbdf4a92a55e2ecf810f984c33c1">m_intelligence</a> {0}</td></tr>
<tr class="memdesc:ab7f3dbdf4a92a55e2ecf810f984c33c1 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The intelligence of the character. This characteristic is the mental power. <br /></td></tr>
<tr class="separator:ab7f3dbdf4a92a55e2ecf810f984c33c1 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79735b9d6e6d9201385dd97efe545a53 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="a79735b9d6e6d9201385dd97efe545a53"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79735b9d6e6d9201385dd97efe545a53">m_perception</a> {0}</td></tr>
<tr class="memdesc:a79735b9d6e6d9201385dd97efe545a53 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The perception of the character. This characteristic is ability to examine a room, traps, see the vital point. <br /></td></tr>
<tr class="separator:a79735b9d6e6d9201385dd97efe545a53 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a98c6a47e818e86ac75a0166bb8c3c0 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="a5a98c6a47e818e86ac75a0166bb8c3c0"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5a98c6a47e818e86ac75a0166bb8c3c0">m_hp</a> {0}</td></tr>
<tr class="memdesc:a5a98c6a47e818e86ac75a0166bb8c3c0 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Health point (HP) of the character. This characteristic is the current health point. <br /></td></tr>
<tr class="separator:a5a98c6a47e818e86ac75a0166bb8c3c0 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8821a9a8c02c7db1db065a48ceedfc7 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="ad8821a9a8c02c7db1db065a48ceedfc7"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ad8821a9a8c02c7db1db065a48ceedfc7">m_name</a> {&quot;no_name&quot;}</td></tr>
<tr class="memdesc:ad8821a9a8c02c7db1db065a48ceedfc7 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the character. <br /></td></tr>
<tr class="separator:ad8821a9a8c02c7db1db065a48ceedfc7 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0acb8820b5a72d70df97395c7546fdac inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="a0acb8820b5a72d70df97395c7546fdac"></a>
shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0acb8820b5a72d70df97395c7546fdac">m_pObject</a> {nullptr}</td></tr>
<tr class="memdesc:a0acb8820b5a72d70df97395c7546fdac inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The object held by the the character. <br /></td></tr>
<tr class="separator:a0acb8820b5a72d70df97395c7546fdac inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebb463c3a8725b3ac6e1bac04fad0315 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top"><a id="aebb463c3a8725b3ac6e1bac04fad0315"></a>
shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html">Backpack</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aebb463c3a8725b3ac6e1bac04fad0315">m_backpack</a></td></tr>
<tr class="memdesc:aebb463c3a8725b3ac6e1bac04fad0315 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">The backpack (inventory) of the character. <br /></td></tr>
<tr class="separator:aebb463c3a8725b3ac6e1bac04fad0315 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74cff61680b7b76ba8a80db23b8fd798 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memItemLeft" align="right" valign="top">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html">ISpell</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a74cff61680b7b76ba8a80db23b8fd798">m_spells</a></td></tr>
<tr class="memdesc:a74cff61680b7b76ba8a80db23b8fd798 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Spells of the character.  <a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a74cff61680b7b76ba8a80db23b8fd798">More...</a><br /></td></tr>
<tr class="separator:a74cff61680b7b76ba8a80db23b8fd798 inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_character_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html" title="Class for the Necromancer, a class of character (Wizard specialisation) The necromancer is a wizard w...">Necromancer</a>, a class of character (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html" title="Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the abili...">Wizard</a> specialisation) The necromancer is a wizard who deals with the deads. They can use their power and reanime the deads. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6a000b974610d658a73a4ba5da04aa52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a000b974610d658a73a4ba5da04aa52">&#9670;&nbsp;</a></span>Necromancer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Necromancer::Necromancer </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>level</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>strength</em> = <code>3</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>agility</em> = <code>10</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>intelligence</em> = <code>16</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>perception</em> = <code>12</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>hp</em> = <code>8</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;no_name&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mana</em> = <code>12</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a> &gt;&#160;</td>
          <td class="paramname"><em>object</em> = <code>make_shared&lt;<a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a>&gt;(<a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a>{&quot;Normal&#160;<a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html">Potion</a>&quot;,&#160;7})</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html" title="Class for the Necromancer, a class of character (Wizard specialisation) The necromancer is a wizard w...">Necromancer</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">level</td><td>The level of the character </td></tr>
    <tr><td class="paramname">strength</td><td>The strength of the character </td></tr>
    <tr><td class="paramname">agility</td><td>The agility of the character </td></tr>
    <tr><td class="paramname">intelligence</td><td>The intelligence of the character </td></tr>
    <tr><td class="paramname">perception</td><td>The perception of the character </td></tr>
    <tr><td class="paramname">hp</td><td>The Health point (HP) of the character </td></tr>
    <tr><td class="paramname">name</td><td>The name of the character </td></tr>
    <tr><td class="paramname">mana</td><td>The mana of the character, which allows him to use spells by consuming it </td></tr>
    <tr><td class="paramname">object</td><td>The object held by the the character </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae3fb420844cfe5cd56d40c0c6ea1d54e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3fb420844cfe5cd56d40c0c6ea1d54e">&#9670;&nbsp;</a></span>GetClassTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Necromancer::GetClassTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the name of the class. </p>
<dl class="section remark"><dt>Remarks</dt><dd>use it because "typeid(Class)" will show somethings like "Something95Something" </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>string An human identifying name for the class </dd></dl>

<p>Reimplemented from <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a20d755ae7b54d06d887d95ceaa6c065e">He_Arc::RPG::Wizard</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/Character/<a class="el" href="_necromancer_8hpp_source.html">Necromancer.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/Character/<a class="el" href="_necromancer_8cpp.html">Necromancer.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
